Package com.databricks.jdbc.telemetry

## Class NoopTelemetryClient

- java.lang.Object
- - com.databricks.jdbc.telemetry.NoopTelemetryClient

All Implemented Interfaces:
  `ITelemetryClient`

    public class NoopTelemetryClient
    extends Object
    implements ITelemetryClient

### Constructor Summary

Constructors
`NoopTelemetryClient()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`void` `exportEvent​(TelemetryFrontendLog event)`
`static NoopTelemetryClient` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoopTelemetryClient

    public NoopTelemetryClient()

### Method Detail

#### getInstance

    public static NoopTelemetryClient getInstance()

#### exportEvent

    public void exportEvent​(TelemetryFrontendLog event)

Specified by:
  `exportEvent` in interface `ITelemetryClient`

#### close

    public void close()

Specified by:
  `close` in interface `ITelemetryClient`